const wxml = function (data) {
  return `
  <view class="share">
    <image src="${data.controls.bg}?x-oss-process=image/resize,m_fill,h_530,w_300" class="bg"></image>
    <image src="https://webapp-pub.ezijing.com/weapp/share/marywood/cover.png" class="cover"></image>
    <view class="main">
      <text class="title">Zijing-Marywood University</text>
      <text class="title">Master of Business Administration (MBA)</text>
      <view class="day">
        <image src="https://webapp-pub.ezijing.com/weapp/share/marywood/roud_bg.png?x-oss-process=image/resize,m_fill,h_130,w_130" class="day-bg"></image>
        <view class="day-inner">
          <text class="day-num">${data.share.used_day}</text>
          <text class="day-tips">Learning Days</text>
        </view>
      </view>
      <text class="text">${data.controls.text}</text>
      <view class="line"></view>
      <view class="box">
        <view class="course">
          <text class="course-en-name">${data.share.english_course_name}</text>
          <text class="course-name">${data.share.course_name}</text>
        </view>
        <view class="progress">
          <view class="progress-box">
            <text class="progress-num">${data.share.current_percent}</text>
            <text class="progress-unit">%</text>
          </view>
          <text class="progress-completed">completed</text>
        </view>
      </view>
      <view class="box">
        <view class="progress">
          <view class="progress-box">
            <text class="progress-num">${data.share.all_percent}</text>
            <text class="progress-unit">%</text>
          </view>
          <text class="progress-completed">completed</text>
        </view>
        <text class="course-mba">MBA Learning Achievement</text>
      </view>
      <view class="line"></view>
      <image src="${data.qrcode}" class="qrcode"></image>
      <text class="qrcode-tips">Scan to learn with me</text>
    </view>
  </view>`
}

const style = function (data) {
  const numLength = data.share.used_day.toString().length
  return {
    share: {
      position: 'relative',
      width: 300,
      height: 530
    },
    bg: {
      width: 300,
      height: 530
    },
    cover: {
      position: 'absolute',
      top: 42,
      left: 24,
      width: 254,
      height: 449
    },
    main: {
      position: 'absolute',
      left: 45,
      top: 95,
      width: 210,
      height: 300,
      alignItems: 'center',
      color: data.controls.color
    },
    title: {
      width: 210,
      textAlign: 'center',
      fontSize: 10,
      lineHeight: 16,
      fontWeight: 'bold',
      height: 16
    },
    day: {
      position: 'relative',
      width: 130,
      height: 130,
      marginTop: 15
    },
    dayBg: {
      position: 'absolute',
      left: 0,
      right: 0,
      bottom: 0,
      top: 0
    },
    dayInner: {
      position: 'absolute',
      left: 0,
      right: 0,
      bottom: 0,
      top: 0,
      flexDirection: 'column',
      justifyContent: 'center',
      textAlign: 'center'
    },
    dayNum: {
      height: 48,
      fontSize: 48,
      lineHeight: 48,
      color: '#f1ae2c'
    },
    dayTips: {
      height: 20,
      fontSize: 14,
      color: '#fff'
    },
    line: {
      marginTop: 8,
      width: 210,
      height: 1,
      backgroundColor: '#F1AE2C'
    },
    text: {
      marginTop: 18,
      width: 210,
      height: 14,
      fontSize: 9,
      lineHeight: 14,
      textAlign: 'center'
    },
    box: {
      marginTop: 8,
      width: 210,
      color: data.controls.color,
      flexDirection: 'row',
      alignItems: 'center'
    },
    course: {
      width: 160,
      height: 40
    },
    courseEnName: {
      height: 24,
      fontSize: 12,
      fontWeight: 500,
      lineHeight: 12
    },
    courseName: {
      marginLeft: -5,
      marginTop: 5,
      height: 11,
      fontSize: 11,
      fontWeight: 400,
      lineHeight: 11
    },
    courseMba: {
      width: 160,
      height: 12,
      fontSize: 12,
      fontWeight: 500,
      lineHeight: 12,
      textAlign: 'right'
    },
    progress: {
      flexDirection: 'column',
      justifyContent: 'center',
      alignItems: 'center',
      width: 50,
      height: 38
    },
    progressBox: {
      flexDirection: 'row',
      alignItems: 'flex-end',
      width: 50,
      height: 28
    },
    progressNum: {
      width: 36,
      height: 28,
      fontSize: 28,
      fontStyle: 'italic',
      lineHeight: 28,
      textAlign: 'right'
    },
    progressUnit: {
      width: 14,
      height: 14,
      fontSize: 14,
      lineHeight: 14
    },
    progressCompleted: {
      marginTop: -2,
      width: 50,
      height: 11,
      fontSize: 10,
      fontWeight: 300,
      lineHeight: 10,
      textAlign: 'right'
    },
    qrcode: {
      marginTop: 8,
      width: 37,
      height: 37,
      borderRadius: 2,
      backgroundColor: data.controls.color
    },
    qrcodeTips: {
      width: 210,
      height: 15,
      marginTop: 3,
      fontSize: 8,
      color: data.controls.color,
      lineHeight: 8,
      textAlign: 'center'
    }
  }
}

export { wxml, style }
